# sdp.h File Reference

`#include <opal/buildopts.h>`
`#include <opal/transports.h>`
`#include <opal/mediatype.h>`
`#include <opal/mediafmt.h>`
`#include <rtp/rtp_session.h>`

Include dependency graph for sdp.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | SDPBandwidth
class | SDPMediaFormat
class | SDPCommonAttributes
class | SDPMediaDescription
class | SDPDummyMediaDescription
class | SDPDummySession
class | SDPCryptoSuite
struct | SDPCryptoSuite::KeyParam
class | SDPRTPAVPMediaDescription
class | SDPAudioMediaDescription
class | SDPVideoMediaDescription
class | SDPApplicationMediaDescription
class | SDPSessionDescription

## Defines

#define | OPAL_OPT_OFFER_SDP_PTIME "Offer-SDP-PTime"
#define | OPAL_OPT_OFFER_RTCP_FB "Offer-RTCP-FB"
#define | OPAL_OPT_FORCE_RTCP_FB "Force-RTCP-FB"

## Typedefs

typedef PList< SDPMediaFormat > | SDPMediaFormatList

## Functions

| PARRAY (SDPMediaDescriptionArray, SDPMediaDescription)

## Define Documentation

#define OPAL_OPT_FORCE_RTCP_FB "Force-RTCP-FB"

OpalConnection::StringOption key to a boolean indicating the RTCP feedback commands are to be sent irrespective of the SDP rtpcp-fb parameter presented by the remote. Default false.

#define OPAL_OPT_OFFER_RTCP_FB "Offer-RTCP-FB"

OpalConnection::StringOption key to an integer indicating the SDP rtpcp-fb parameter handling. A value of zero indicates it is not to be offerred to the remote. A value of 1 indicates it is to be offerred without requiring the RTP/AVPF transport, but is included in RTP/AVP. A value of 2 indicates it is to be only offerred in RTP/AVPF with a second session in RTP/AVP mode to be also offerred. Default is 1.

#define OPAL_OPT_OFFER_SDP_PTIME "Offer-SDP-PTime"

OpalConnection::StringOption key to a boolean indicating the SDP ptime parameter should be included in audio session streams. Default false.

## Typedef Documentation

typedef PList<SDPMediaFormat> SDPMediaFormatList

## Function Documentation

PARRAY | ( | SDPMediaDescriptionArray | ,
|  | SDPMediaDescription |  |
| ) |  |  |